//
//  XTHtmlBlockQuoteTag.m
//  TadsTerp
//
//  Created by Rune Berg on 08/08/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagBlockQuote.h"
#import "XTOutputFormatterProtocol.h"

//TODO unit test

@implementation XTHtmlTagBlockQuote

+ (NSString *)name
{
	return @"blockquote";
}

+ (BOOL)standalone
{
	return NO;
}

+ (BOOL)blockLevel
{
	return YES;
}

+ (BOOL)blockLevelSpacing
{
	return YES;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagBlockQuote:self];
}

@end
